Search order - Orders - Mercado Pago Developers
Search order

This endpoint allows you to search for orders in a massive way, using various filters and pagination information. In case of success, the request will return a response with status 200.

GET

https://api.mercadopago.com/v1/orders
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Query
begin_date
string

REQUIRED

Start date to filter orders by creation date (RFC 3339 format).
end_date
string

REQUIRED

End date for filtering orders by creation date (RFC 3339 format).
external_reference
string
It is an external reference of the order. It can be, for example, a hashcode from the Central Bank, functioning as an identifier of the transaction origin. This field must have a maximum of 64 characters and can only be ...View more
type
string
Order type, associated with the Mercado Pago solution for which it is created. For online card payments, the only possible value is "online".
Response parameters
data
object
List of orders matching the search criteria.
paging
object
Pagination information.
Errors

400Request error.

missing_required_params

The "begin_date" and "end_date" parameters are missing. These parameters are mandatory for the search.

invalid_parameter

An invalid value was sent for a query parameter. This can occur with invalid date formats (must use RFC3339 format, e.g.: '2023-01-01T00:00:00Z'), invalid pagination values ("page" e "page_size"), invalid sorting values ("sort_by", "sort_order") or invalid filter values ("status", "type", "payment_method_id", etc.). Check the error message details for specific information.

401Error. Access Token not authorized.

401

The value sent as Access Token is incorrect. Please check and try again with the correct value.

invalid_credentials

There is no support for test credentials. Use test users with production credentials for the sandbox environment and your production credentials for the production environment.

500Generic error.

internal_error

Generic error. Please try submitting the request again.

Provide valid data in the request parameters before executing.
Request
curl -X GET \
    'https://api.mercadopago.com/v1/orders?begin_date=2025-11-01T00:00:00.000Z&end_date=2025-11-11T23:59:59.999Z&external_reference=ext_ref_1234&type=online&status=processed&status_detail=accredited&payment_method_id=visa&payment_method_type=credit_card&page=1&page_size=20&sort_by=created_date&sort_order=desc'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-8*********932064-12*********edf6d3c99*********2236c703f*********668' \
    
Response
{
  "data": {
    "id": "ORD01K9SN1Q5959CGN8QGW00EH7V5",
    "type": "online",
    "processing_mode": "automatic",
    "external_reference": "ext_ref_1234",
    "total_amount": "24.90",
    "total_paid_amount": "24.90",
    "user_id": "12345",
    "status": "processed",
    "status_detail": "accredited",
    "capture_mode": "automatic_async",
    "currency": "CLP",
    "created_date": "2024-08-26T13:06:51.045317772Z",
    "last_updated_date": "2024-08-26T13:06:51.045317772Z",
    "integration_data": {
      "application_id": "1234",
      "integrator_id": "dev_123",
      "platform_id": "1234567890",
      "sponsor": {
        "id": "446566691"
      }
    },
    "transactions": {
      "payments": [
        {
          "id": "PAY01K9SN1Q5959CGN8QGW176BB6P",
          "amount": "24.90",
          "paid_amount": "24.90",
          "reference_id": "01JEVQM899NWSQC4FYWWW7KTF9",
          "status": "processed",
          "status_detail": "accredited",
          "payment_method": {
            "id": "visa",
            "type": "credit_card",
            "installments": 1,
            "transaction_security": {
              "validation": "never"
            }
          }
        }
      ]
    },
    "config": {
      "online": {}
    }
  },
  "paging": {
    "total": "54",
    "total_pages": "3",
    "offset": "0",
    "limit": "20"
  }
}